--[[=============================================================================
    Initialization Functions

    Copyright 2015 Control4 Corporation. All Rights Reserved.
===============================================================================]]
require "generic.generic_proxy_class"
require "generic.generic_proxy_commands"
require "generic.generic_proxy_notifies"

-- This macro is utilized to identify the version string of the driver template version used.
if (TEMPLATE_VERSION ~= nil) then
	TEMPLATE_VERSION.proxy_init = "2015.10.21"
end

function ON_DRIVER_EARLY_INIT.proxy_init()
	-- declare and initialize global variables

end

function ON_DRIVER_INIT.proxy_init()
	-- instantiate the generic proxy class
	local maxLevel = 100
	gGenericProxy = GenericProxy:new(DEFAULT_PROXY_BINDINGID, maxLevel)

end

function ON_DRIVER_LATEINIT.proxy_init()
	
end
