--[[=============================================================================
    Notification Functions

    Copyright 2015 Control4 Corporation. All Rights Reserved.
===============================================================================]]

-- This macro is utilized to identify the version string of the driver template version used.
if (TEMPLATE_VERSION ~= nil) then
	TEMPLATE_VERSION.generic_proxy_notifies = "2015.10.21"
end

function NOTIFY.LEVEL_CHANGED(bindingID, level)
	LogTrace("NOTIFY.LEVEL_CHANGED")

	local tParams = {}
	tParams["LEVEL"] = level

	SendNotify("LEVEL_CHANGED", tParams, bindingID)
end

